Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
withdraw
/
fiat
/
quote
Child Address Get Quote
curl --request POST \
  --url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/withdraw/fiat/quote \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "accountIdentifier": "0023103996",
  "amount": 0.5,
  "assetId": "37079b6b-b74f-48e9-a394-9a5cbae88f12",
  "currency": "NGN",
  "institutionIdentifier": "SBICNGLA",
  "providerId": "1c40879e-c340-4308-92d9-30bdb34b3b84"
}
'
{
  "data": {
    "estimatedArrivalTime": 30,
    "nativeBalance": "0.001341843733953408",
    "nativeBalanceInUSD": "0.0013413069964598266368",
    "networkFee": "0.000012017210897804",
    "networkFeeInUSD": "0.0000120124040134448784",
    "transactionFee": "0"
  },
  "message": "Successful",
  "status": true
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

addressId
string
required
Example:

"0x73429037E2284FaC97F6D90Fa83840eD334c8A20"

Body

application/json
accountIdentifier
string
required

destination bank account identifier

Example:

"0023103996"

amount
number
required

amount to withdraw in asset units

Example:

0.5

assetId
string
required

asset ID of the stablecoin to withdraw

Example:

"37079b6b-b74f-48e9-a394-9a5cbae88f12"

currency
string
required

destination fiat currency code

Example:

"NGN"

institutionIdentifier
string
required

bank or institution identifier code

Example:

"SBICNGLA"

providerId
string
Example:

"1c40879e-c340-4308-92d9-30bdb34b3b84"

Response

201 - application/json

200

data
object
message
string
Example:

"Successful"

status
boolean
Example:

true